using System.Collections.ObjectModel;
using Entidades;
using Modelo;

namespace Controladora
{
    class ControladoraFacturas : ControladoraBase<Factura, ControladoraFacturas>
    {
        public override string Añadir(Factura t)
        {
            if (t == null) return "El Factura es nulo fallo la carga";

            return (RepositorioFactura.Instance.Add(t)) ? 
                $"El Factura {t.Id} se cargo correctamente":
                $"Fallo la carga del Factura {t.Id}"; 
        }

        override public string Eliminar(Factura t)
        {
           if (t == null) return "El Factura es nulo fallo la carga";

            return (RepositorioFactura.Instance.Del(t)) ? 
                $"El Factura {t.Id} se Elimino correctamente":
                $"Fallo la Eliminacion del Factura {t.Id}";         
        }

        override public string Modificar(Factura t)
        {
            if (t == null) return "El Factura es nulo fallo la carga";

            return (RepositorioFactura.Instance.Mod(t)) ? 
                $"El Factura {t.Id} se Modifico correctamente":
                $"Fallo la Modificacion del Factura {t.Id}";    
        }

        public override ReadOnlyCollection<Factura> Listar()
        {
            return RepositorioFactura.Instance.Listar();
        }
    }
}
